## GVirManager GVirManager |

## Functions

GVirManager * | gvir_manager_new ()
void | gvir_manager_add_connection ()
void | gvir_manager_remove_connection ()
GList * | gvir_manager_get_connections ()
GVirConnection * | gvir_manager_find_connection_by_uri ()

## Signals

void | connection-added | Run First
void | connection-removed | Run First

## Object Hierarchy

        GObject
        ╰── GVirManager

## Description

## Functions

### gvir_manager_new ()

    GVirManager *
    gvir_manager_new (void);

### gvir_manager_add_connection ()

    void
    gvir_manager_add_connection (GVirManager *man,
                                 GVirConnection *conn);

### gvir_manager_remove_connection ()

    void
    gvir_manager_remove_connection (GVirManager *man,
                                    GVirConnection *conn);

### gvir_manager_get_connections ()

    GList *
    gvir_manager_get_connections (GVirManager *man);

#### Returns

the connections. The returned list should be freed with `g_list_free()`, after its elements have been unreffed with `g_object_unref()`.

[transfer full][element-type GVirConnection]

### gvir_manager_find_connection_by_uri ()

    GVirConnection *
    gvir_manager_find_connection_by_uri (GVirManager *man,
                                         const gchar *uri);

#### Returns

the connection,or NULL. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full][allow-none]

## Signal Details

### The `“connection-added”` signal

    void
    user_function (GVirManager    *gvirmanager,
                   GVirConnection *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“connection-removed”` signal

    void
    user_function (GVirManager    *gvirmanager,
                   GVirConnection *arg1,
                   gpointer        user_data)

Flags: Run First